## python-oslo.context 2.23.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.context (1:2.23.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:32:11 -0400

python-oslo.context (1:2.22.1-0ubuntu2) eoan; urgency=medium

  * d/control, d/rules: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Sep 2019 15:19:42 -0400

python-oslo.context (1:2.22.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:02:54 +0000

python-oslo.context (1:2.22.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Switch to using stestr for unit tests.
  * d/p/*: Drop not really needed.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:20:47 +0000

python-oslo.context (1:2.21.0-0ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.
  * d/p/remove-privacy-breach-in-README.rst.patch: Refresh.
  * d/control: Update Vcs locations for Ubuntu.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Jun 2018 12:18:56 +0100

=== debian/control ===
Source: python-oslo.context
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-stestr (>= 2.0.0),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslotest
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslotest
Homepage: https://github.com/openstack/oslo.context

Package: python-oslo.context-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: WSGI context helpers for OpenStack - doc
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the documentation.

Package: python3-oslo.context
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: WSGI context helpers for OpenStack - Python 3.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.context.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with=python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.context-doc/usr/share/doc/python-oslo.context-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.context 3.0.0

=== debian/changelog ===
python-oslo.context (1:3.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Add override_dh_auto_clean and override_dh_auto_build.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 14:43:11 -0400

## python-oslo.context 3.0.2

=== debian/changelog ===
python-oslo.context (1:3.0.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:46:00 -0400

=== debian/control ===
--- 
+++ 
@@ -11,20 +11,17 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  python3-bandit (>= 1.1.0),
  python3-coverage (>= 4.0),
  python3-debtcollector (>= 1.2.0),
  python3-fixtures (>= 3.0.0),
  python3-hacking (>= 1.1.0),
- python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
+ python3-openstackdocstheme (>= 1.20.0) <!nodoc>,
  python3-oslotest (>= 1:3.2.0),
  python3-reno (>= 2.5.0),
  python3-stestr (>= 2.0.0),

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 
 %:
 	dh $@ --buildsystem=python_distutils --with=python3,sphinxdoc
+
+override_dh_auto_clean:
+	rm -rf build
+
+override_dh_auto_build:
+	echo "Do nothing..."
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2

## python-oslo.context 3.1.1

=== debian/changelog ===
python-oslo.context (3.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 23:29:34 +0200

python-oslo.context (3.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:48:57 +0200

python-oslo.context (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 20:59:41 +0200

python-oslo.context (3.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 21:57:17 +0200

python-oslo.context (3.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 14:37:59 +0200

python-oslo.context (2.23.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:14:49 +0200

python-oslo.context (2.23.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2019 17:16:03 +0200

=== debian/control ===
Source: python-oslo.context
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-openstackdocstheme <!nodoc>,
 python3-oslotest,
 python3-stestr,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.context
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.context.git
Homepage: https://github.com/openstack/oslo.context

Package: python-oslo.context-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: WSGI context helpers for OpenStack - doc
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the documentation.

Package: python3-oslo.context
Architecture: all
Depends:
 python3-debtcollector,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: WSGI context helpers for OpenStack - Python 3.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.context/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.context 3.1.2

=== debian/changelog ===
python-oslo.context (3.1.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 31 Jan 2022 11:09:45 +0000

## python-oslo.context 3.2.0

=== debian/changelog ===
python-oslo.context (1:3.2.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 23:27:15 +0000

python-oslo.context (1:3.2.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 13:55:29 -0400

python-oslo.context (1:3.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:33:35 -0400

python-oslo.context (1:3.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:38:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,32 @@
 Source: python-oslo.context
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  James Page <james.page@canonical.com>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-coverage,
- python3-debtcollector,
- python3-fixtures,
- python3-hacking,
- python3-openstackdocstheme <!nodoc>,
- python3-oslotest,
- python3-stestr,
- subunit,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.context
-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.context.git
+ python3-bandit (>= 1.1.0),
+ python3-coverage (>= 4.0),
+ python3-debtcollector (>= 1.2.0),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 1.1.0),
+ python3-openstackdocstheme (>= 2.2.0) <!nodoc>,
+ python3-oslotest (>= 1:3.2.0),
+ python3-stestr (>= 2.0.0),
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.context
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.context
 Homepage: https://github.com/openstack/oslo.context
 
 Package: python-oslo.context-doc
@@ -45,8 +46,8 @@
 Package: python3-oslo.context
 Architecture: all
 Depends:
- python3-debtcollector,
- python3-pbr,
+ python3-debtcollector (>= 1.2.0),
+ python3-pbr (>= 2.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: WSGI context helpers for OpenStack - Python 3.x

## python-oslo.context 3.3.1

=== debian/changelog ===
python-oslo.context (1:3.3.1-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 17:42:23 +0000

python-oslo.context (1:3.3.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 09:17:14 -0400

python-oslo.context (1:3.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 15:09:37 -0400

## python-oslo.context 4.1.0

=== debian/changelog ===
python-oslo.context (1:4.1.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 09:59:34 -0400

python-oslo.context (1:3.4.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:41:18 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  James Page <james.page@canonical.com>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

## python-oslo.context 5.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

debtcollector>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.context (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:46:23 +0200

python-oslo.context (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:05:04 +0200

python-oslo.context (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 15:45:01 +0100

python-oslo.context (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 11:28:55 +0100

python-oslo.context (3.3.2-1) unstable; urgency=medium

  * New usptream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Nov 2021 18:23:39 +0100

python-oslo.context (3.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:26:41 +0200

python-oslo.context (3.3.1-1) experimental; urgency=medium

  [ papamica ]
  * New upstream release.
  * Added myself in copyright and uploaders.   

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 15:06:54 +0200

python-oslo.context (3.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:01:16 +0200

python-oslo.context (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 08:39:36 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.context.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with=python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.context-doc/usr/share/doc/python-oslo.context-doc/html
	dh_sphinxdoc
endif

## python-oslo.context 5.1.1

=== debian/changelog ===
python-oslo.context (5.1.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1048943).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 12:29:23 +0200

python-oslo.context (5.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:23:42 +0200

python-oslo.context (5.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 10:25:06 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with=python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-oslo.context 5.2.0

=== debian/changelog ===
python-oslo.context (1:5.2.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 Sep 2023 22:17:30 +0000

python-oslo.context (1:5.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:28:49 -0400

python-oslo.context (1:5.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:11:53 -0500

python-oslo.context (1:5.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 16:09:09 -0400

=== debian/control ===
--- 
+++ 
@@ -21,13 +21,13 @@
  python3-debtcollector (>= 1.2.0),
  python3-fixtures (>= 3.0.0),
  python3-hacking (>= 1.1.0),
+ python3-mypy (>= 0.761),
  python3-openstackdocstheme (>= 2.2.0) <!nodoc>,
  python3-oslotest (>= 1:3.2.0),
  python3-stestr (>= 2.0.0),
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.context
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.context
-Homepage: https://github.com/openstack/oslo.context
+Homepage: https://opendev.org/openstack/oslo.context
 
 Package: python-oslo.context-doc
 Build-Profiles: <!nodoc>

## python-oslo.context 5.5.0

=== requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0

debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.context (1:5.5.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2024 13:14:52 +0000

python-oslo.context (1:5.5.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 10:20:54 +0000

python-oslo.context (1:5.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jan 2024 14:30:02 +0000

## python-oslo.context 5.6.0

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0

debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.context (5.6.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090566).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:10:17 +0100

python-oslo.context (5.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:50:23 +0200

python-oslo.context (5.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 15:09:33 +0200

python-oslo.context (5.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:31:47 +0200

python-oslo.context (5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Mar 2024 08:50:42 +0100

python-oslo.context (5.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 21:35:36 +0100

python-oslo.context (5.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 12:20:54 +0100

python-oslo.context (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:15:42 +0200

python-oslo.context (5.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 12:14:07 +0200

=== debian/control ===
Source: python-oslo.context
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-openstackdocstheme <!nodoc>,
 python3-oslotest,
 python3-stestr,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.context
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.context.git
Homepage: https://github.com/openstack/oslo.context

Package: python-oslo.context-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: WSGI context helpers for OpenStack - doc
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the documentation.

Package: python3-oslo.context
Architecture: all
Depends:
 python3-debtcollector,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: WSGI context helpers for OpenStack - Python 3.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 3.x module.

## python-oslo.context 5.7.0

=== debian/changelog ===
python-oslo.context (1:5.7.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 11:55:07 +0000

python-oslo.context (1:5.6.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 13:54:24 +0100

## python-oslo.context 5.7.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=2.0.0 # Apache-2.0

debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.context (1:5.7.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:49:35 +0000

=== debian/control ===
Source: python-oslo.context
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-mypy (>= 0.761),
 python3-openstackdocstheme (>= 2.2.0) <!nodoc>,
 python3-oslotest (>= 1:3.2.0),
 python3-stestr (>= 2.0.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.context
Homepage: https://opendev.org/openstack/oslo.context

Package: python-oslo.context-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: WSGI context helpers for OpenStack - doc
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the documentation.

Package: python3-oslo.context
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: WSGI context helpers for OpenStack - Python 3.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oslo_context

UPSTREAM_GIT := https://github.com/openstack/oslo.context.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with=python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.context-doc/usr/share/doc/python-oslo.context-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.context 6.0.0+git2025070815.f23bc41

=== debian/changelog ===
python-oslo.context (1:6.0.0+git2025070815.f23bc41-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/rules: Include PBR version.
  * d/control: Align (Build-)Depends with upstream. 

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 15:23:44 -0700

## python-oslo.context 6.1.0

=== requirements.txt ===
--- 
+++ 
@@ -3,5 +3,4 @@
 # you find any incorrect lower bounds, let us know or propose a fix.
 
 pbr>=2.0.0 # Apache-2.0
-
-debtcollector>=1.2.0 # Apache-2.0
+typing-extensions>=4.12.0 # PSF

=== debian/changelog ===
python-oslo.context (1:6.1.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 12 Sep 2025 14:56:06 -0700

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,12 @@
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
+ pre-commit (>= 2.6.0),
  python3-debtcollector (>= 1.2.0),
  python3-fixtures (>= 3.0.0),
  python3-hacking (>= 1.1.0),
  python3-mypy (>= 0.761),
- python3-openstackdocstheme (>= 2.2.0) <!nodoc>,
+ python3-openstackdocstheme (>= 2.2.0),
  python3-oslotest (>= 1:3.2.0),
  python3-stestr (>= 2.0.0),
 Standards-Version: 4.6.1
@@ -44,6 +45,7 @@
 Package: python3-oslo.context
 Architecture: all
 Depends:
+ python3-typing-extensions (>= 4.10.0),
  python3-debtcollector (>= 1.2.0),
  python3-pbr (>= 2.0.0),
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 export PYBUILD_NAME=oslo_context
 
 UPSTREAM_GIT := https://github.com/openstack/oslo.context.git
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
+
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/oslo.context/ oslo.context-(\d.*)\.tar\.gz

## python-oslo.context 6.2.0

=== debian/changelog ===
python-oslo.context (1:6.2.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 6.2.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 16 Jan 2026 09:00:37 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.context/ oslo[._]context-(\d.*)\.tar\.gz

## python-oslo.context 6.3.0

=== debian/changelog ===
python-oslo.context (6.3.0-2) experimental; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Mar 2026 14:22:00 +0100

python-oslo.context (6.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased remove-privacy-breach-in-README.rst.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 16:57:45 +0100

python-oslo.context (6.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048943).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 11:22:55 +0100

python-oslo.context (6.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 20:38:54 +0200

python-oslo.context (6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-debtcollector from (build-)depends.
  * Added python3-typing-extensions as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 15:55:36 +0200

python-oslo.context (5.7.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:18:29 +0100

python-oslo.context (5.7.1-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 14:54:55 +0100

python-oslo.context (5.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 14:08:22 +0100
